#!/bin/bash

# build_smc_compiler.sh <product_dir> [tar] [sourcetar]

usage() {
   echo "USAGE: `basename ${0}` <product_directory> [tar] [sourcetar]"
}

get_this_dir() 
{
    ( cd / ; /bin/pwd -P ) >/dev/null 2>&1
    if (( $? == 0 )); then
      pwd_P_arg="-P"
    fi
    reldir=`dirname ${0}`
    thisdir=`cd ${reldir} && /bin/pwd ${pwd_P_arg}`
}

get_ssibuildshims()
{
    # make sure we can use the setup alias
    if [ -z ${UPS_DIR} ]
    then
       echo "ERROR: please setup ups"
       exit 1
    fi
    source `${UPS_DIR}/bin/ups setup ${SETUP_UPS}`
    
    PRODUCTS=${product_dir}:${PRODUCTS}
    
    setup ssibuildshims ${ssibuildshims_version} -z ${product_dir}
    if [ -z ${SSIBUILDSHIMS_DIR} ]
    then
       echo "ERROR: failed to setup ssibuildshims ${ssibuildshims_version}"
       exit 1
    fi
}

die()
{
  echo "$1"; exit 2
}

product_dir=${1}
maketar=${2}
sourcetar=${3}

if [ -z ${product_dir} ]
then
   echo "ERROR: please specify the local product directory"
   usage
   exit 1
fi

set -x
package=smc_compiler
pkgver=v6_1_0
ssibuildshims_version=v0_06_09

get_this_dir

get_ssibuildshims

if [ "${sourcetar}" = "source" ]
then
    ${SSIBUILDSHIMS_DIR}/bin/make_source_code_tarball ${product_dir} ${package} ${pkgver}
fi

tar xf tar/smc_${pkgver#v}.tgz || { echo "ERROR: Unable to expand packaged source." 1>&2; exit 1; }

ups declare ${package} ${pkgver} -r ${package}/${pkgver} -f NULL -m ${package}.table -z "${product_dir}"

if [ "${maketar}" = "tar" ]
then
    nulldir=${package}/${pkgver}/smc_${pkgver#v} \
     ${SSIBUILDSHIMS_DIR}/bin/make_distribution_tarball ${product_dir} ${package} ${pkgver} NO_FLAVOR
    exit $?
fi
